use fastrand::Rng;

use crate::world::level_map::{Indexer, LevelMap};

pub mod blobular;
pub mod drunkard_corridor;
pub(crate) mod utils;

pub(crate) const TMP_FLOOR_GROUP: usize = 18 * 64;
pub(crate) const TMP_WALL_GROUP: usize = 18 * 64 + 28;

pub trait MapGenerator {
	fn generate(indexer: &Indexer, rng: &Rng) -> LevelMap;
}
